=== debian/control ===
Source: fspy
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://mytty.org/fspy
Vcs-Browser: https://salsa.debian.org/debian/fspy
Vcs-Git: https://salsa.debian.org/debian/fspy.git

Package: fspy
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: filesystem activity monitoring tool
 fspy is an easy to use Linux filesystem activity monitoring tool which is
 meant to be small, fast and to handle system resources conservative.
 You can apply filters, use diffing and your own output format in order to get
 the best results.
