=== debian/tests/control ===
Test-Command: fspy --version
Restrictions: superficial
