## fspy 0.2.0

=== Makefile ===
# This file is part of fspy
# #########################

DATE_FMT = %Y%m%d%H
ifdef SOURCE_DATE_EPOCH
    BUILD ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
else
    BUILD ?= $(shell date "+$(DATE_FMT)")
endif
#DEBUG = -g -D_DEBUG
OPTS = -DMAJORVERSION=0 -DMINORVERSION=2 -DSUBMINORVERSION=0 -DBUILD=$(BUILD) -DCODENAME=\"25c3\"
CFLAGS += -Wall
SDIR = src/
ODIR = obj/
INSTBINDIR = $(DESTDIR)/usr/bin
SRCS = $(SDIR)fspy.c $(SDIR)enumdirs.c $(SDIR)fsevents.c $(SDIR)isnumber.c $(SDIR)stating.c $(SDIR)output.c $(SDIR)regmatch.c $(SDIR)numlen.c $(SDIR)adaptive.c $(SDIR)diff.c $(SDIR)fanotify_events.c
OBJS = $(ODIR)fspy.o $(ODIR)enumdirs.o $(ODIR)fsevents.o $(ODIR)isnumber.o $(ODIR)stating.o $(ODIR)output.o $(ODIR)regmatch.o $(ODIR)numlen.o $(ODIR)adaptive.o $(ODIR)diff.o $(ODIR)fanotify_events.o
CC = gcc
LD = gcc
LDFLAGS +=
DFLAGS = 
RM = rm
PROG = fspy

all: $(PROG)

$(PROG): $(OBJS)
	$(LD) $(LDFLAGS) $(DFLAGS) $(DEBUG) $(OPTS) $(OBJS) -o $(PROG)

$(ODIR)%.o: $(SDIR)%.c | $(ODIR)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(DFLAGS) $(DEBUG) $(OPTS) -c $< -o $(ODIR)$*.o

$(ODIR):
	mkdir -p $(ODIR)

install:
	cp $(PROG) $(INSTBINDIR)/$(PROG)

clean:
	$(RM) -f $(PROG) $(ODIR)*.o

# DO NOT DELETE THIS LINE -- make depend depends on it.

fspy.o: fspy.h
enumdirs.o: enumdirs.h
fsevents.o: fsevents.h
isnumber.o: isnumber.h
stating.o: stating.h
output.o: output.h
regmatch.o: regmatch.h
numlen.o: numlen.h
adaptive.o: adaptive.h
diff.o: diff.h
fanotify_events.o: fanotify_events.h
