=== debian/changelog ===
fspy (0.2.0-1) unstable; urgency=medium

  * New upstream release 0.2.0.
  * Fold all Debian patches into upstream:
    - 01_fix_makefile.patch
    - 02_reproducible_build.patch
    - 03_fix_makefile_cppflags.patch
    - 04_fix_compiler_warnings.patch
    - 05_reformat_to_linux_style.patch
    - 06_update_version_output.patch
    - 07_fix_read_warning.patch
    - 08_improve_readme.patch
    - 09_add_fanotify_support.patch
  * New upstream changes:
    - Modernize copyright headers with SPDX identifiers
    - Use concise event description strings (READ, WRITE, OPEN, etc.)
    - Fix segfault when using -D with -P (fanotify + diff)
    - Improve SIGINT handling for clean shutdown
    - Remove defunct website references
  * debian/patches: Remove all patches (folded into upstream).

 -- Bean Huo <beanhuo@iokpp.de>  Sun, 15 Feb 2026 16:43:28 +0100

fspy (0.1.1-6) unstable; urgency=medium

  * Adopt package. Closes: #866825
  * Set Maintainer to Bean Huo <beanhuo@iokpp.de>.
  * debian/copyright:
      - Update FSF address to https://www.gnu.org/licenses/
      - Add 2025 copyright for debian/* files
      - Mark upstream Source URL as defunct
  * debian/rules:
      - Force xz compression instead of zstd for .deb packages
      - Ensures compatibility with Debian infrastructure
  * debian/upstream/metadata:
      - Add upstream metadata file following DEP-12
      - Provides project information for Ultimate Debian Database
  * debian/patches/09_add_fanotify_support.patch:
      - Add new -P/--show-process option for process tracking
      - Implement fanotify-based monitoring (requires root privileges)
      - New files: src/fanotify_events.c, src/fanotify_events.h
      - Share filtering logic between inotify and fanotify code paths
      - All existing options (-O, -F, -I, -T, -D) work with -P flag
      - Update README with dual monitoring modes documentation
      - Kernel requirement: Linux >= 2.6.37


 -- Bean Huo <beanhuo@iokpp.de>  Sun, 23 Nov 2025 11:43:18 +0100

fspy (0.1.1-5) unstable; urgency=medium

  * QA upload
  * debian/patches/07_fix_read_warning.patch:
      - Fix read() return value warning in grab_max_element_count
      - Add proper error checking for read() system call
      - Add missing close() calls for file descriptor
  * debian/patches/06_update_version_output.patch:
      - Update --version output to show Debian package version
      - Add license information (GPL v2+) to version output
      - Improve formatting with clearer labels
  * debian/patches/04_fix_compiler_warnings.patch:
      - Fix duplicate assignment of dprint.G in diff.c and fspy.c
      - Fix uninitialized variable warnings in adaptive.c (adaptive_delete)
      - Fix uninitialized variable warnings in enumdirs.c (recwrap)
      - Fix uninitialized pointer warnings in diff.c, output.c, and stating.c
      - Fix format specifier warnings for sizeof() in debug prints (%i -> %li)
      - Fix type mismatches for max_element_count and watch descriptors
      - Add proper function prototypes to enumdirs.h
      - Resolves compiler warnings with modern GCC versions (Closes: #1096659)

 -- Bean Huo <beanhuo@micron.com>  Wed, 12 Nov 2025 15:23:37 +0100
