## fspy 0.2.1

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
     BUILD ?= $(shell date "+$(DATE_FMT)")
 endif
 #DEBUG = -g -D_DEBUG
-OPTS = -DMAJORVERSION=0 -DMINORVERSION=2 -DSUBMINORVERSION=0 -DBUILD=$(BUILD) -DCODENAME=\"25c3\"
+OPTS = -DMAJORVERSION=0 -DMINORVERSION=2 -DSUBMINORVERSION=1 -DBUILD=$(BUILD) -DCODENAME=\"25c3\"
 CFLAGS += -Wall
 SDIR = src/
 ODIR = obj/
