=== debian/changelog ===
fspy (0.2.1-1) unstable; urgency=medium

  * New upstream release 0.2.1.
  * New upstream changes:
    - Update README: maintainer info, remove defunct URLs and PGP key
    - Replace strncpy with memcpy in fanotify_events.c to fix
      -Wstringop-truncation warnings with hardened build flags
    - Bump version to 0.2.1
  * debian/copyright:
    - Update Upstream-Contact to current maintainer Bean Huo
    - Update Source URL to Salsa repository
    - Add Bean Huo copyright to Files: * section
    - Remove redundant fanotify-specific copyright block

 -- Bean Huo <beanhuo@iokpp.de>  Mon, 16 Feb 2026 11:22:16 +0100
